BcRSASignerInfoVerifierBuilder (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.cms.bc

## Class BcRSASignerInfoVerifierBuilder

- java.lang.Object
- - org.bouncycastle.cms.bc.BcRSASignerInfoVerifierBuilder

-     public class BcRSASignerInfoVerifierBuilder
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BcRSASignerInfoVerifierBuilder(CMSSignatureAlgorithmNameGenerator sigAlgNameGen, SignatureAlgorithmIdentifierFinder sigAlgIdFinder, DigestAlgorithmIdentifierFinder digestAlgorithmFinder, DigestCalculatorProvider digestCalculatorProvider)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SignerInformationVerifier` | `build(org.bouncycastle.crypto.params.AsymmetricKeyParameter pubKey)`
    `SignerInformationVerifier` | `build(X509CertificateHolder certHolder)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BcRSASignerInfoVerifierBuilder

          public BcRSASignerInfoVerifierBuilder(CMSSignatureAlgorithmNameGenerator sigAlgNameGen,
                                        SignatureAlgorithmIdentifierFinder sigAlgIdFinder,
                                        DigestAlgorithmIdentifierFinder digestAlgorithmFinder,
                                        DigestCalculatorProvider digestCalculatorProvider)

  - ### Method Detail

    - #### build

          public SignerInformationVerifier build(X509CertificateHolder certHolder)
                                          throws OperatorCreationException

      Throws:
        `OperatorCreationException`

    - #### build

          public SignerInformationVerifier build(org.bouncycastle.crypto.params.AsymmetricKeyParameter pubKey)
                                          throws OperatorCreationException

      Throws:
        `OperatorCreationException`